Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 26 reacties
Bron: phpBB, submitter: opel tijgertje

phpBB logo (60 pix) Vandaag is na vijf bčtareleases de eerste release candidate van phpBB versie 3.0 de deur uitgegaan. Met deze software is het mogelijk een forum te maken, waarop bezoekers met elkaar kunnen discussiëren. phpBB wordt onder de GPL-licentie beschikbaar gesteld en maakt gebruik van PHP en een databaseprogramma om berichten op te slaan. Naast MySQL worden ook PostgreSQL, Microsoft SQL Server 2000 en Microsoft Access als databasesoftware ondersteund. De nieuwe 3.0-tak kent een aantal verbeteringen ten opzichte van de huidige stabiele 2.0-reeks, waaronder een verbeterde admin, zoekmogelijkheden en een groot aantal andere onder handen genomen en nieuwe features. Een compleet overzicht van de belangrijkste nieuwe features kan op deze pagina worden gevonden. Hieronder kan een stuk uit de aankondiging van deze release worden gevonden:

phpBB3 Release Candidate 1 (RC1) released

We are very pleased to announce the availability of the phpBB3 RC1 package. This is the first release candidate which is meant to become the Gold release if no more bugs or problems arise. Of course there may be more than one release candidate.

With this release we will give full support, allow uploading language packs as well as modifications and styles. Please note that during the first few weeks support questions may not be answered as fast as with the 2.0.x line. We also only give support to those having a clean RC1 installation, previous conversions or updates will not be supported. We encourage only those running the release candidate wanting to test out the new version, it is still recommended to wait for the full release; after all this is a release candidate.

To re-iterate the support guidelines, we won't support the following installation types:
  • Updates from phpBB3 Beta versions to phpBB3 RC1 and higher
  • Conversions from phpBB 2.0.x to phpBB3 Beta versions
  • phpBB3 Beta installations
We give support for the following installation types:
  • Updates from phpBB3 RC1 to any higher version (not relevant at the moment)
  • Conversions from phpBB 2.0.x to phpBB3 RC1 and higher
  • New installations of phpBB3 RC1 and higher
For all those not needing support and want to take the risks... the database update file is present, though we were not able to provide a full update path due to the style and database changes. If you are running on mysql 4.0.3 or less you should completely re-install, because the complete schema changed for these versions.

A short explanation of how to do a conversion is included within the provided INSTALL.html file, please be sure to read it.

Conversions from 2.0.x to phpBB3 RC1 may be problematic, depending on your setup and the amount of MODs you installed. If you want to be on the safe side we suggest still waiting for later releases before you fully convert your 2.0.x installation.[break]
phpBB screenshot (resized)
Moderatie-faq Wijzig weergave

Reacties (26)

Bij phpBB stoort het me dat er gebruik word gemaakt van 'hacks' waardoor je code aanpast. Dit zorgt ervoor dat er sneller iemand een foute hack maakt die de veiligheid van je systeem in gevaar brengt.

Ook de uitgebreide error vermelding is een gevaar voor een systeem en staat standaard aan (als je die al kunt uitzetten).

Doordat dit pakket dan ook talrijk word gebruikt door 'leeks' zijn veel phpBB installaties gevoelig voor aanvallers.
Maakt niet uit, want het programma is opensource. Als je de errors verbergt kijkt een spammer toch gewoon in zijn eigen kopietje?
In de sourcecode kunnen kijken levert niet per definitie een mogelijkheid tot misbruik op als de code goed in elkaar zit...iets waar het bij phpBB nogal ontbrak.
Hacks of mods, het is alleen maar een naam. SMF noemt het plugins, is het dan meteen net zo "negatief" of "slecht"?
Jammer genoeg werken alle mods niet van phpBB 2xxx niet op 3. Dit komt omdat 3 helemaal vanaf de grond opnieuw is opgebouwd en je het dus voorlopig moet doen met wat je krijgt. Op dit moment is MyReact dus een beter kandidaat. :)
Dat is niet jammer...veel van de ooit gemaakte mods zijn brak en onveilig. Reden genoeg dus om es opnieuw te beginnen. phpBB heeft in de tijd dat het bestaat al zoveel veiligheids problemen gehad dat ik in ieder geval hosting klanten die het gebruiken geen support meer geef.
Sorry, maar dat is een waardeloze conclusie, "React is dus een betere kandidaat". phpBB3 is juist incompatibel with oude mods omdat die niet altijd goed samenwerkten of lastig te updaten waren (bijv. subforum mod en attachment mod).

Tevens is de functionaliteit van veel mods nu een standaardfeature in phpBB3, zoals de hierboven genoemde mods en betere anti-spam/anti-bot signup beveiligingen. Het is gewoon een *beter* product dan phpBB2.

Ik geef wel toe dat veel dingen die nu in 3 zitten eigenlijk al in 2 hadden moeten zitten, waaronder (ja ja) mijn twee eerder genoemde mods.
Een aantal grote forums is al bezig het te instaleren. Met een paar honderd duizend leden neemt dat echt dagen in beslag. (zolang ligt de site ook gewoon offline). Ik ben benieuwd hoe het bijvoorbeeld qua snelheid gaat veranderen voor zulke grote forums.
Voor een upgrade moet het forum echt geen dagen offline zijn. Je neemt gewoon een backup van de database en test zo alles uit om te migreren. Je past het forum aan naar je wensen en wanneer alles klaar is disable je het echte forum, maak je een extra db backup en een backup van de phpBB2 install. Dan upload je phpBB3, update je de db en hopen dat alles goed gaat, in het ergste geval enkele uren downtime
Grote forums die een RC installeren... Daar zou ik toch maar eens voorzichtig mee omgaan als ik hen was; dat lijkt me geen serieuze bedrijfsvoering.

Zelfs met het migereren naar stabiele updates van phpBB moest je in het verleden vaak oppassen voor onverwachte onhebbelijkheden, dus om nu zomaar een release candidate in productie te gooien op een groot board lijkt me niet handig.
Ik hoop dat het registreren verbeterd is. Ik ben het een beeetje zat om iedere keer spookgebruikers te verwijderen...
Het is een opensource stukje software, wat let je om het zelf te maken.
En er zijn ook wel plugins voor, vaak genoeg een registratie met captcha en registratie mail tegengekomen op phpbb
Captcha en registratie mail zitten standaard ingebouwd sinds 2.018 ofzo !

Overigens staat captcha op mijn forum uit, en ook geen last van spambotjes. Ik heb gewoon een extra vraag toegevoegd (een simpele vraag) en die verplicht veld gemaakt. En zo alle spambotjes geweerd ;)
Probleem is dat registratiemail tegenwoordig ook weinig zin meer heeft. Op mijn forum komen ze zelfs daar doorheen.
Als je het alleen wil gebruiken maar zelf de kennis niet hebt van php scripting let dat je heel veel :+

Moet zeggen, overigens draait de RC1 wel stabieler dan de beta's die ik voorheen heb getest. :)
is er ook een changelog tov beta 5?
Dit is het enige wat ze hebben ( Bug statistics for the timeframe between the Beta5 release and now ):
http://www.phpbb.com/bugs...n_start=2007-01-28&end=-1
Ik vind persoonlijk het grootste nadeel van phpBB toch wel de ellende met plugins installeren. In SMF sinds dat het zo'n beetje bestaat: selecteer plugin>upload>install, en klaar. Met updates van het forum gaat het ook allemaal goed en het gaat daardoor allemaal bijzonder snel. In phpBB ben je makkelijk een half uur bezig met door alle php te spitten. Gelukkig dat ze met phpBB 3 nu ook zo iets hebben gedaan in de vorm van MODX.

Die visuele registratiecode van phpBB3 (die is er nu toch standaard?) is ook een welkome feature, alhoewel het met SMF wel handiger is aangezien je hier in kan stellen hoe sterk deze moet zijn (in 5 stappen).
Je hebt ook mooie plugins om je spookjes tegen te houden zoals uhm een code invoeren enz...
Je bedoelt zoals de visuele conformatie die er standaard mee komt en te simpel voor woorden is.

Ik heb 'm een beetje lastiger gemaakt met een paar regels code, mocht iemand interesse, mail mij op contact at johnbokma puntje com. Tot nu toe nog 0 spambotjes (gebruik 'm een maand of 2). De reden waarom ik 'm (de source) niet op mijn site zet is dat anders in no time iemand er omheen werkt.
Kijk maar eens naar http://www.mybboard.com perfect forum script, nooit (amper) security bugs, geen mods nodig om belangrijke functies zoals subforums te installeren, enz enz.
en dan kom je op de mainpage en zie je als nieuws van de afgelopen weken 2 security updates staan. Nuja zolang je phpbb maar wat kunt bashen zeker....
Interessant... Zal is even kijken wat hier zo speciaal aan is.
Eindelijk, hierop zat ik te wachten! :)

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True